Package de.gebit.integrity.dsl

## Interface VariableAssignment

- All Superinterfaces:
    `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.common.notify.Notifier`, `SuiteStatement`
  All Known Implementing Classes:
    `VariableAssignmentImpl`

      public interface VariableAssignment
      extends SuiteStatement

  A representation of the model object 'Variable Assignment'.

  The following features are supported:

  - `Value`
  - `Target`
  See Also:
    `DslPackage.getVariableAssignment()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `VariableVariable` | `getTarget()` | Returns the value of the 'Target' containment reference.
    `ValueOrEnumValueOrOperationCollection` | `getValue()` | Returns the value of the 'Value' containment reference.
    `void` | `setTarget​(VariableVariable value)` | Sets the value of the '`Target`' containment reference.
    `void` | `setValue​(ValueOrEnumValueOrOperationCollection value)` | Sets the value of the '`Value`' containment reference.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getValue

          ValueOrEnumValueOrOperationCollection getValue()

      Returns the value of the 'Value' containment reference.
      Returns:
        the value of the 'Value' containment reference.
      See Also:
        `setValue(ValueOrEnumValueOrOperationCollection)`, `DslPackage.getVariableAssignment_Value()`

    - #### setValue

          void setValue​(ValueOrEnumValueOrOperationCollection value)

      Sets the value of the '`Value`' containment reference.
      Parameters:
        `value` - the new value of the 'Value' containment reference.
      See Also:
        `getValue()`

    - #### getTarget

          VariableVariable getTarget()

      Returns the value of the 'Target' containment reference.
      Returns:
        the value of the 'Target' containment reference.
      See Also:
        `setTarget(VariableVariable)`, `DslPackage.getVariableAssignment_Target()`

    - #### setTarget

          void setTarget​(VariableVariable value)

      Sets the value of the '`Target`' containment reference.
      Parameters:
        `value` - the new value of the 'Target' containment reference.
      See Also:
        `getTarget()`